#include<stdio.h>
#include<string.h>

#include "constantes.h"
#include "typedef.h"
extern char rep_prog[255];

extern  STFICHE *debut,*fin,*fiche;
extern  STTYPE *debut_type;
extern  STCAL *debut_cal,*fiche_cal;

int trait_sond_ozone_com(STSAISIEPARAM *psaisie,char *nomfich,FILE *fp_log)
{
char newnom[50];
char date[9],heure[5];
char commande[255],nom[255];
char sujet[100];
char destinataires[100];
char sep[10];
STTYPE *fiche_type;

booleen trouve;

fprintf(fp_log,"commentaires lach sonde ozone:\n");	

fprintf(fp_log,"fichier: %s\n",fiche->nomfich);

/* on copie le fichier dans le repertoire de travail */
sprintf(commande,"cp \"%s\" .",fiche->nomfich);
system(commande);

/* on enleve les carriage-return eventuels provenant du monde DOS */
rm_cr(nomfich);


/* on recupere lea date */
strcpy(sep,"/");
if(recherche_date(nomfich,sep,date) == FAUX)
	{
	fprintf(fp_log,"Erreur: date indeterminee.\n");
	return(FAUX);
	};

/* on renomme le fichier */
sprintf(fiche->newnom,"ccd%s.txt",date);
fprintf(fp_log,"nouveau nom: %s\n",fiche->newnom);
sprintf(commande,"mv %s %s",nomfich,fiche->newnom);
system(commande);

/* envoi des commentaires par email */
sprintf(sujet,"Message Ozonosondage DDU %s",newnom);
sprintf(destinataires,"%s/mail_sond_o3.dat",rep_prog);
if(psaisie->mail == VRAI)	
	envoi_mail(fiche->newnom,sujet,destinataires,fp_log);


strcpy(fiche->date,date);


/* recupere le nom du fichier calibration associe aux mesures*/
/* le nom du fichier calibration figure dans les fichiers *.*e et */
/* dans les fichiers croz*.txt */
fprintf(fp_log,"recherche fichier calibration associ\n");
trouve = FAUX;
fiche_type = debut_type;
while (fiche_type != NULL && trouve == FAUX)
	/* on balaye les types de fichiers pour trouver les calecc */
	{
	fprintf(fp_log,"recherche du type %s dans %s\n",fiche_type->type,fiche->newnom);
        if(strcmp(fiche_type->manip,"calecc")==0 &&
	 	recherche_type(fiche->newnom,fiche_type->type,nom) == VRAI)
		{
		fprintf(fp_log,"%s trouv\n",nom);
		
		if(recherche_cal(nom) == VRAI && 
			fiche_cal->fiche->newnom[0] == 0)
			/* on a trouve un fichier cal se rapportant au nom trouve */
			/* dans le fichier croz*.txt et qui n'a pas deja ete affect */
			{
			sprintf(fiche_cal->fiche->newnom,"ccd%sxxxx.%s.cal",
				&date[2],fiche_cal->fiche->nomfich);
			strcpy(fiche_cal->fiche->date,date);
			sprintf(commande,"cp \"%s\" %s",fiche_cal->fiche->nomfich,
				fiche_cal->fiche->newnom);
			system(commande);
			/* on enleve les carriage-return eventuels provenant du monde DOS */
			rm_cr(fiche_cal->fiche->newnom);
			fprintf(fp_log,"%s renomm en %s\n",fiche_cal->fiche->nomfich,
				fiche_cal->fiche->newnom);
			trouve = VRAI;
			}
			
		else if(fiche_cal->fiche->newnom[0] != 0)	
			fprintf(fp_log,"??? fichier %s deja affect\n",
				fiche_cal->fiche->nomfich);
		};
		
	fiche_type=fiche_type->suivant;
	};

if(trouve == FAUX)    
	fprintf(fp_log,"??? echec recherche fichier cal!\n");

return(VRAI);
}
